Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1062570 - RFE: Make Glossary search mechanisms simple but configurable
Summary: RFE: Make Glossary search mechanisms simple but configurable
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Zanata
Classification: Retired
Component: Component-UI
Version: development
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Michelle Kim
QA Contact: Zanata-QA Mailling List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-07 10:50 UTC by Damian Jansen
Modified: 2015-07-31 01:17 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-31 01:17:21 UTC


Attachments (Terms of Use)

Description Damian Jansen 2014-02-07 10:50:51 UTC
Description of problem:
When the user aims to search the glossary, they are forced to select a technology, be it basic or lucene.
The field should be smart enough to find everything regardless of mechanism and display the results to the user.

Version-Release number of selected component (if applicable):
3.3.0 RC1

How reproducible:
Easy always

Steps to Reproduce:
1. Log in as admin
2. Got to Projects, select a project -> version -> language -> document
3. Find the Glossary panel

Actual results:
A dropdown exists for search mechanism

Expected results:
Just search

Additional info:
A user is not going to know - generally - what lucene is, or how it affects their search.

Comment 1 Ding-Yi Chen 2014-03-19 07:49:47 UTC
AFAIK, unless install with language specific language analyzer, lucene won't work properly with language like Chinese.

Not quite sure whether the option should be putted in option panel.

Comment 2 Damian Jansen 2014-07-29 02:03:11 UTC
It should just be smart enough to work it out for itself. If the user wants a specific kind of search, they can still specify it - but Zanata should be clear about the behaviour of the options.

Comment 4 Damian Jansen 2015-07-14 00:21:09 UTC
Reassigned to PM

Comment 5 Zanata Migrator 2015-07-31 01:17:21 UTC
Migrated; check JIRA for bug status: http://zanata.atlassian.net/browse/ZNTA-405


Note You need to log in before you can comment on or make changes to this bug.